# Uses of Interface
javax.xml.crypto.URIReference

Packages that use URIReference
Package
Description
javax.xml.crypto
Common classes for XML cryptography.
javax.xml.crypto.dom
DOM-specific classes for the `javax.xml.crypto` package.
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.
javax.xml.crypto.dsig.keyinfo
Classes for parsing and processing `KeyInfo` elements and structures.

## Uses of URIReference in javax.xml.crypto

Methods in javax.xml.crypto that return URIReference
Modifier and Type
Method
Description
`URIReference`
URIReferenceException.`getURIReference()`
Returns the `URIReference` that was being dereferenced when the exception was thrown.
Methods in javax.xml.crypto with parameters of type URIReference
Modifier and Type
Method
Description
`Data`
URIDereferencer.`dereference(URIReference uriReference, XMLCryptoContext context)`
Dereferences the specified `URIReference` and returns the dereferenced data.
Constructors in javax.xml.crypto with parameters of type URIReference
Modifier
Constructor
Description
``
`URIReferenceException(String message, Throwable cause, URIReference uriReference)`
Constructs a new `URIReferenceException` with the specified detail message, cause and `URIReference`.

## Uses of URIReference in javax.xml.crypto.dom

Subinterfaces of URIReference in javax.xml.crypto.dom
Modifier and Type
Interface
Description
`interface`
`DOMURIReference`
A DOM-specific `URIReference`.

## Uses of URIReference in javax.xml.crypto.dsig

Subinterfaces of URIReference in javax.xml.crypto.dsig
Modifier and Type
Interface
Description
`interface`
`Reference`
A representation of the `Reference` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing.

## Uses of URIReference in javax.xml.crypto.dsig.keyinfo

Subinterfaces of URIReference in javax.xml.crypto.dsig.keyinfo
Modifier and Type
Interface
Description
`interface`
`RetrievalMethod`
A representation of the XML `RetrievalMethod` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing.